Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### normal()
Examples |
    Coming soon...
Description | Sets the current normal vector. This is for drawing three dimensional shapes and surfaces and specifies a vector perpendicular to the surface of the shape which determines how lighting affects it. Processing attempts to automatically assign normals to shapes, but since that's imperfect, this is a better option when you want more control. This function is identical to glNormal3f() in OpenGL.
Syntax |
    normal(nx, ny, nz)
Parameters |
nx | float: x direction
ny | float: y direction
nz | float: z direction
Returns | None
Usage | Web & Application
Related | beginShape() endShape() lights()

Updated on August 30, 2010 04:29:39pm EDT